## What is SCATA ?

SCATA is a Scala implementation of the Consensus-Based Algorithms for Task Allocation (CBAA).

We study the problem of allocating concurrent tasks.

## Requirements

In order to run SCATA you need:

- the Java virtual machine [JVM 17.0.2](http://www.oracle.com/technetwork/java/javase/downloads/index.html)

- the programming language [Scala 2.13.15](http://www.scala-lang.org/download/)

- the interactive build tool [SBT 1.6.2](http://www.scala-sbt.org/download.html)

## Dependencies

SCATA is built upon:

- some Scala libraries, i.e [Scala Java-Time](https://github.com/cquiroz/scala-java-time), [ScalaTest](https://www.scalatest.org/) and [uPickle](https://github.com/com-lihaoyi/upickle)



## Installation

Compile

    sbt compile

then

    sbt run


## License

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.
