// Copyright (C) Maxime MORGE 2024
import org.scata.core.SingleAssignmentProblem
import org.scata.algorithm.CBAA

object Main {
  def main(args: Array[String]): Unit = {

    val nbWorkers = 4
    val nbTasks = 3
    val pb = SingleAssignmentProblem.randomProblem(nbWorkers, nbTasks)
    val cbaa = new CBAA(pb)
    println(pb)
    val solution = cbaa.solve()
    println(solution)
  }
}